<form name="deleteForm" (ngSubmit)="verifierCarte(data)">
  <div class="modal-header" style="background: #f05423 ;color: white">
    <h4 class="modal-title">Nouvelle demande</h4>
    <button type="button" class="close" data-dismiss="modal" aria-hidden="true"
            (click)="clear()">&times;</button>
  </div>
  <div class="modal-body">

      <div class="row">
          <div class="col-lg-12 mb-4">
              <div widget class="card border-0 box-shadow">
                  <div class="card-header transparent border-0 text-muted">
                      <h5 class="mb-0">Données de l'assuré</h5>
                      <div class="widget-controls">
                          <a data-widgster="expand" href="#" class="transition">
                              <i class="fa fa-chevron-down"></i>
                          </a>
                          <a data-widgster="collapse" href="#" class="transition">
                              <i class="fa fa-chevron-up"></i>
                          </a>
                          <a data-widgster="close" href="#" class="transition">
                              <i class="fa fa-times"></i>
                          </a>
                      </div>
                  </div>
                  <div class="card-body pt-0 widget-body">
                      <form>
                          <div class="row">
                                  <div class="col-lg-6 mb-4">
                                      <div class="form-group">
                                          <label for="input-2">ID Assuré</label>
                                          <input type="text" class="form-control" id="input-2" name= "idAssuree" [(ngModel)]="idAssuree">
                                      </div>
                                  </div>
                                  <div class="col-lg-6 mb-4">
                                          <div class="form-group">
                                                  <label for="name"> Téléphone :</label>
                                                  <input type="text" class="form-control" name="tel" [(ngModel)]="tel" pattern='(([+][(]?[0-9]{1,3}[)]?)|([(]?[0-9]{4}[)]?))\s*[)]?[-\s\.]?[(]?[0-9]{1,3}[)]?([-\s\.]?[0-9]{3})([-\s\.]?[0-9]{3,4})'>
                                                  <span>
                                                    <small>exemple: +241 79 70 00 ou 00 241 79 70 00</small>
                                                  </span>
                                          </div>
                                  </div>
                              </div>
      
                          <div class="row">
                              <div class="col-lg-6 mb-4">
                                  <div class="form-group">
                                      <label for="input-2">Nom</label>
                                      <input type="text" name= "nom" [(ngModel)]="nom" class="form-control" id="input-2">
                                  </div>
                              </div>
                              <div class="col-lg-6 mb-4">
                                  <div class="form-group">
                                      <label for="input-3">Prénom</label>
                                      <input type="text" name="prenom" [(ngModel)]="prenom" class="form-control" id="input-3">
                                  </div>
                              </div>
                          </div>
                          <div class="row">
                              <div class="col-lg-6 mb-4">
                                  <div class="form-group">
                                      <label for="input-12">Date de naissance</label>
                                      <input type="date" name="naissance" [(ngModel)]="naissance" class="form-control" value="" id="input-12">
                                  </div>
                              </div>
                              <div class="col-lg-6 mb-4">
                                  <h6>Sexe</h6>
                                  <div class="form-group">
                                      <div class="custom-controls-stacked">
                                          <label class="custom-control custom-radio">
                                              <input type="radio" name="stacked-radio" class="custom-control-input" >
                                              <span class="custom-control-indicator"></span>
                                              <span class="custom-control-description">Homme</span>
                                          </label>
                                          <label class="custom-control custom-radio">
                                              <input type="radio" name="stacked-radio" class="custom-control-input radio-primary">
                                              <span class="custom-control-indicator"></span>
                                              <span class="custom-control-description">Femme</span>
                                          </label>
                                      </div>
                                  </div>
                              </div>
                          </div>
                          <div class="row">
                              <div class="col-lg-6 mb-4">
                                  <div class="form-group">
                                      <label for="input-2">Adresse</label>
                                      <input type="text" name="address" [(ngModel)]="address" class="form-control" id="input-2">
                                  </div>
                              </div>
                              <div class="col-lg-6 mb-4">
                                  <div class="form-group">
                                      <label for="input-3">Numéro pièce d'identité</label>
                                      <input type="text" name="cni" [(ngModel)]="cni" class="form-control" id="input-3">
                                  </div>
                              </div>
                          </div>
                          <div class="row">
                              <div class="col-lg-6 mb-4">
                                  <div class="form-group">
                                      <label for="exampleSelect1">Etat civil</label>
                                      <select class="form-control" id="exampleSelect1" name="etat" [(ngModel)]="etat">
                                          <option id="1">Célibataire</option>
                                          <option id="2">Marié(e)</option>
                                          <option id="3">Divorcé(e)</option>
                                          <option id="4">Veuf(ve)</option>
                                      </select>
                                  </div>
                              </div>
                              <div class="col-lg-6 mb-4">
                                  <div class="form-group">
                                      <label for="input-3">Fonction</label>
                                      <input type="text" name="fonction" [(ngModel)]="fonction" class="form-control" id="input-3">
                                  </div>
                              </div>
                          </div>
                      </form>
                  </div>
              </div>
          </div>
      </div>
      <div class="row">
              <div class="col-lg-12 mb-4">
                  <div widget class="card border-0 box-shadow">
                      <div class="card-header transparent border-0 text-muted">
                          <h5 class="mb-0">Documents</h5>
                          <div class="widget-controls">
                              <a data-widgster="expand" href="#" class="transition">
                                  <i class="fa fa-chevron-down"></i>
                              </a>
                              <a data-widgster="collapse" href="#" class="transition">
                                  <i class="fa fa-chevron-up"></i>
                              </a>
                              <a data-widgster="close" href="#" class="transition">
                                  <i class="fa fa-times"></i>
                              </a>
                          </div>
                      </div>
                      <div class="card-body pt-0 widget-body">
                          <form>
                              <div class="form-group">
                                  <div class="custom-controls-stacked">
                                      <label class="custom-control custom-checkbox">
                                          <input type="checkbox" class="custom-control-input checkbox-circle" name="anl" [(ngModel)]="anl">
                                          <span class="custom-control-indicator"></span>
                                          <span class="custom-control-description">Acte de naissance légalisé</span>
                                      </label>
                                      <label class="custom-control custom-checkbox">
                                          <input type="checkbox" class="custom-control-input checkbox-primary checkbox-circle" name="pi" [(ngModel)]="pi">
                                          <span class="custom-control-indicator"></span>
                                          <span class="custom-control-description">Pièce d’identité</span>
                                      </label>
                                      <label class="custom-control custom-checkbox">
                                          <input type="checkbox" class="custom-control-input checkbox-success checkbox-circle" name="ctp" [(ngModel)]="ctp">
                                          <span class="custom-control-indicator"></span>
                                          <span class="custom-control-description">Copie du titre de pension</span>
                                      </label>
                                      <label class="custom-control custom-checkbox">
                                          <input type="checkbox" class="custom-control-input checkbox-circle" name="cam" [(ngModel)]="cam">
                                          <span class="custom-control-indicator"></span>
                                          <span class="custom-control-description">Copie de l’acte de mariage</span>
                                      </label>
                                      <label class="custom-control custom-checkbox">
                                          <input type="checkbox" class="custom-control-input checkbox-primary checkbox-circle" name="cdbs" [(ngModel)]="cdbs">
                                          <span class="custom-control-indicator"></span>
                                          <span class="custom-control-description">Copie du dernier bulletin de salaire</span>
                                      </label>
                                      <label class="custom-control custom-checkbox">
                                          <input type="checkbox" class="custom-control-input checkbox-success checkbox-circle" name="ae" [(ngModel)]="ae" checked="checked">
                                          <span class="custom-control-indicator"></span>
                                          <span class="custom-control-description">Attestation d’emploi</span>
                                      </label>
                                  </div>
                                  
                              </div>
                          </form>
                      </div>
                  </div>
              </div>

      </div>
      <br/>

      <div class="row">
          <div class="col-lg-12 mb-4">
              <div widget class="card border-0 box-shadow">
                  <div class="card-header transparent border-0 text-muted">
                      <h5 class="mb-0">Conjoints</h5>
                      <div class="widget-controls">
                          <a data-widgster="expand" href="#" class="transition">
                              <i class="fa fa-chevron-down"></i>
                          </a>
                          <a data-widgster="collapse" href="#" class="transition">
                              <i class="fa fa-chevron-up"></i>
                          </a>
                          <a data-widgster="close" href="#" class="transition">
                              <i class="fa fa-times"></i>
                          </a>
                      </div>
                  </div>
                  <div class="card-body pt-0 widget-body">
                      <dx-data-grid id="gridContainer"
                      [dataSource]="dataSource2" 
                      [showBorders]="true"
                      [rowAlternationEnabled]="true"
                      [allowColumnReordering]="true"
                      [allowColumnResizing]="true"
                      [columnMinWidth]="50"
                      [hoverStateEnabled]="true"
                      columnResizingMode="widget">
            
                 <dxi-column dataField="nom" caption="Nom"></dxi-column>
                 <dxi-column dataField="prenom" caption="Prénom"></dxi-column>
                 <dxi-column dataField="naissance" caption= "date de naissance"></dxi-column>
                 <dxi-column dataField="cni" caption= "Numéro pièce d'identité"></dxi-column>
                 <dxi-column dataField="fonction" caption= "Fonction"></dxi-column>
                 </dx-data-grid>
                  </div>
              </div>
          </div>
      </div>

      <br/>
      <div class="row">
              <div class="col-lg-12 mb-4">
                  <div widget class="card border-0 box-shadow">
                      <div class="card-header transparent border-0 text-muted">
                          <h5 class="mb-0">Enfants</h5>
                          <div class="widget-controls">
                              <a data-widgster="expand" href="#" class="transition">
                                  <i class="fa fa-chevron-down"></i>
                              </a>
                              <a data-widgster="collapse" href="#" class="transition">
                                  <i class="fa fa-chevron-up"></i>
                              </a>
                              <a data-widgster="close" href="#" class="transition">
                                  <i class="fa fa-times"></i>
                              </a>
                          </div>
                      </div>
                      <div class="card-body pt-0 widget-body">
                          <dx-data-grid id="gridContainer"
                          [dataSource]="dataSource" 
                          [showBorders]="true"
                          [rowAlternationEnabled]="true"
                          [allowColumnReordering]="true"
                          [allowColumnResizing]="true"
                          [columnMinWidth]="50"
                          [hoverStateEnabled]="true"
                          columnResizingMode="widget">
                
                     <dxi-column dataField="nom" caption="Nom"></dxi-column>
                     <dxi-column dataField="prenom" caption="Prénom"></dxi-column>
                     <dxi-column dataField="naissance" caption= "date de naissance"></dxi-column>
                     </dx-data-grid>
                      </div>
                  </div>
              </div>
          </div>


  </div>
  <div class="modal-footer">
    <button type="submit" class="btn btn-danger">
      <span class="fa fa-check"></span>&nbsp;<span>Valider</span>
    </button>
  </div>

</form>



